post
https://api.synapto.construction/v1/accounts
BETA: This endpoint is subject to change without notice.
Creates a child account under your platform account. Requires ADMIN role and the onboard_accounts capability.
Set parent to your platform account name and provide the account object with type, display_name, contact_email, account_holder.verification_policy, and capabilities.
Two account types are supported:
- STANDALONE — set
account_holder.verification_policytoSYNAPTO_LIABLE. Must setcapabilities.card_payments.requestedto true. Transfers are not supported. - EMBEDDED — set
account_holder.verification_policytoPARENT_ACCOUNT_ATTESTATION. Must setcapabilities.transfers.requestedto true. Card payments are not supported. Requiresaccount_holder.country_code(currently onlyGB) andaccount_holder.legal_name.
Returns the created Account. Child accounts start in ACTIVE state. If requires_boarding is true in the response, create a boarding session to collect the remaining account holder details.